from sendSMS import MessageHandler
from DoctorsAppointment import *
from dateutil.parser import parse
import configparser
import datetime
import json

if __name__ == '__main__':
    config = configparser.ConfigParser()
    config.read('../resources/config.ini')

    base_url = config['API']['base_url']
    app_key = config['API']['app_key']
    app_secret = config['API']['app_secret']
    
    pId = 0
    dId = 0
    sId = 0
    doctor = Doctor(dId + 1, config['APP']["doctor_name"], Specialization(sId + 1, config['APP']["specialization"]))
    patient = Patient(pId + 1, config['APP']["patient_name"], config['APP']["patient_number"])
    appointment = Appointment(doctor, patient, parse(config['APP']["date"]))

    patientName = appointment.patient.patientName
    doctorName = appointment.doctor.doctorName
    specializationName = appointment.doctor.specialization.specializationName
    appointmentDate = appointment.date
    strAppointmentDate = appointmentDate.strftime('%b %d, %Y')

    appointmentMessage = "Mr./Mrs " + patientName + ", you have an appointment with " + doctorName + " (" + specializationName + ")" + " scheduled on " + strAppointmentDate
    destinationNumber = appointment.patient.number
    messageHandler = MessageHandler(base_url, app_key, app_secret)
    messageHandler.sendSMS(appointmentMessage, destinationNumber)